<?php
/**
 * @version   1.0 February 18, 2014
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2014 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */
defined( 'GANTRY_VERSION' ) or die();

$gantry_presets = array(
    'presets' => array(
        'preset1' => array(
            'name' 					        => 'Preset 1',
            'header-background'             => '#EDEDED',
            'header-bg-position'            => '50% 50%',
            'header-overlay'                => '#E3D3D6',
            'header-type'                   => 'preset1',
            'main-body-style'               => 'light',
            'main-body-type'                => 'full-bg',
            'main-backgroundtop'            => '#8AA6B1',
            'main-backgroundmiddle'         => '#B7EAFB',
            'main-backgroundbottom'         => '#8AA6B1',
            'main-accent'                   => '#1B7DFC',
            'main-accent2'                  => '#E52D47',
            'footer-overlay'                => 'dark',
            'footer-background'             => '#000000',
            'footer-type'                   => 'preset1',
            'footer-bg-position'            => '50% 50%'
        ),
        'preset2' => array(
            'name' 					        => 'Preset 2',
            'header-background'             => '#E8E8E8',
            'header-bg-position'            => '0% 0%',
            'header-overlay'                => '#D6CCC3',
            'header-type'                   => 'preset2',
            'main-body-style'               => 'light',
            'main-body-type'                => 'separated-bg',
            'main-backgroundtop'            => '#3B3F4B',
            'main-backgroundmiddle'         => '#3B3F4B',
            'main-backgroundbottom'         => '#272B37',
            'main-accent'                   => '#E63049',
            'main-accent2'                  => '#3CC4AE',
            'footer-overlay'                => 'dark',
            'footer-background'             => '#000000',
            'footer-type'                   => 'preset2',
            'footer-bg-position'            => '0% 0%'
        ),
        'preset3' => array(
            'name'                          => 'Preset 3',
            'header-background'             => '#E8E8E8',
            'header-bg-position'            => '0 50%',
            'header-overlay'                => '#E0C997',
            'header-type'                   => 'preset3',
            'main-body-style'               => 'light',
            'main-body-type'                => 'full-bg',
            'main-backgroundtop'            => '#7FAE9E',
            'main-backgroundmiddle'         => '#E2D8BD',
            'main-backgroundbottom'         => '#8F674D',
            'main-accent'                   => '#3CC4AE',
            'main-accent2'                  => '#EF6149',
            'footer-overlay'                => 'dark',
            'footer-background'             => '#482813',
            'footer-type'                   => 'preset3',
            'footer-bg-position'            => '0 50%'
        ),
        'preset4' => array(
            'name'                          => 'Preset 4',
            'header-background'             => '#E8E8E8',
            'header-bg-position'            => '50% 50%',
            'header-overlay'                => '#FFFFFF',
            'header-type'                   => 'preset4',
            'main-body-style'               => 'light',
            'main-body-type'                => 'separated-bg',
            'main-backgroundtop'            => '#FFFFFF',
            'main-backgroundmiddle'         => '#FFFFFF',
            'main-backgroundbottom'         => '#1F222B',
            'main-accent'                   => '#F1634B',
            'main-accent2'                  => '#3CC4AE',
            'footer-overlay'                => 'dark',
            'footer-background'             => '#482813',
            'footer-type'                   => 'preset4',
            'footer-bg-position'            => '50% 50%'
        ),
        'preset5' => array(
            'name'                          => 'Preset 5',
            'header-background'             => '#E8E8E8',
            'header-bg-position'            => '50% 50%',
            'header-overlay'                => '#C9CBBE',
            'header-type'                   => 'preset5',
            'main-body-style'               => 'light',
            'main-body-type'                => 'full-bg',
            'main-backgroundtop'            => '#FFFFFF',
            'main-backgroundmiddle'         => '#FFFFFF',
            'main-backgroundbottom'         => '#FFFFFF',
            'main-accent'                   => '#2CADE7',
            'main-accent2'                  => '#202430',
            'footer-overlay'                => 'dark',
            'footer-background'             => '#272B37',
            'footer-type'                   => 'none',
            'footer-bg-position'            => '50% 50%'
        ),
        'preset6' => array(
            'name'                          => 'Preset 6',
            'header-background'             => '#E8E8E8',
            'header-bg-position'            => '0% 25%',
            'header-overlay'                => '#D7D7D7',
            'header-type'                   => 'preset6',
            'main-body-style'               => 'light',
            'main-body-type'                => 'separated-bg',
            'main-backgroundtop'            => '#5AC0E6',
            'main-backgroundmiddle'         => '#5AC0E6',
            'main-backgroundbottom'         => '#1B6E8C',
            'main-accent'                   => '#1D92BD',
            'main-accent2'                  => '#F64057',
            'footer-overlay'                => 'dark',
            'footer-background'             => '#072B37',
            'footer-type'                   => 'none',
            'footer-bg-position'            => '50% 50%'
        ),
        'preset7' => array(
            'name'                          => 'Preset 7',
            'header-background'             => '#E8E8E8',
            'header-bg-position'            => '50% 50%',
            'header-overlay'                => '#B3B9D1',
            'header-type'                   => 'preset7',
            'main-body-style'               => 'dark',
            'main-backgroundtop'            => '#1F222B',
            'main-backgroundmiddle'         => '#1F222B',
            'main-backgroundbottom'         => '#1F222B',
            'main-accent'                   => '#FF495F',
            'main-accent2'                  => '#1476F5',
            'footer-overlay'                => 'dark',
            'footer-background'             => '#000000',
            'footer-type'                   => 'preset7',
            'footer-bg-position'            => '50% 50%'
        ),
        'preset8' => array(
            'name'                          => 'Preset 8',
            'header-background'             => '#E8E8E8',
            'header-bg-position'            => '0 25%',
            'header-overlay'                => '#D0D1D6',
            'header-type'                   => 'preset8',
            'main-body-style'               => 'light',
            'main-body-type'                => 'full-bg',
            'main-backgroundtop'            => '#9695A7',
            'main-backgroundmiddle'         => '#E6D7DA',
            'main-backgroundbottom'         => '#B1A6B4',
            'main-accent'                   => '#4CDA64',
            'main-accent2'                  => '#5E69A1',
            'footer-overlay'                => 'dark',
            'footer-background'             => '#565B83',
            'footer-type'                   => 'preset8',
            'footer-bg-position'            => '0% 60%'
        )                                                
    )
);